Bug 11416 - bkrp_do_retrieve_server_wrap_key fails since Samba 4.2.0
bkrp_do_retrieve_server_wrap_key fails since Samba 4.2.0
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: AD: LDB/DSDB/SAMDB
4.2.3
All All
: P5 major
: ---
Assigned To: Andrew Bartlett
Samba QA Contact
:
Depends on:
Blocks: 11097
  Show dependency treegraph
 
Reported: 2015-07-27 11:26 UTC by Arvid Requate
Modified: 2016-04-08 08:28 UTC (History)
6 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate 2015-07-27 11:26:12 UTC
master commit 969519b3b53e1ba12a261764fc4d5785524a245f has not been merged into v4-2-stable. This makes bkrp_do_retrieve_server_wrap_key fail:

=============================================================================
[2015/07/24 13:21:28.496186,  1, pid=3509] ../source4/rpc_server/backupkey/dcesrv_backupkey.c:1423(bkrp_do_retrieve_server_wrap_key)
  Unable to fetch value for secret BCKUPKEY_01234567-0123-0123-0123-0123456789ab, are we an undetected RODC?
=============================================================================

Maybe this is message correlates with user reports of failing to unlock their Windows desktop after the server was updated to 4.2.0 or later.

Volkers commit https://git.samba.org/?p=samba.git;a=commit;h=969519b3b53e1ba12a261764fc4d5785524a245f in master should be merged to v4-2-stable in order to fix this. There are 4 additional commits around that should be considered as well.

+++ This bug was initially created as a clone of Bug #11097 +++
Comment 1 Andrew Bartlett 2016-04-08 08:28:35 UTC
Thanks for this report.  FIXED isn't a really good tag, because it is only fixed in 4.3 and above, but 4.2 is out of support except for security fixes.

However this is a very good place-holder to remind those issuing 4.2 packages to pick up this change, particularly if upgrading from 4.1.

Thanks!